# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname rutils

Name: ruby-%pkgname
Version: 1.0.2
Release: alt1

Summary: Simple russian text parser
Group: Development/Ruby
License: MIT/Ruby
Url: http://rutils.rubyforge.org

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>
BuildArch: noarch
Source: %pkgname-%version.tar
#Patch: %pkgname-%version-%release.patch

# Automatically added by buildreq on 
BuildRequires: rpm-build-ruby ruby-stdlibs ruby-tool-rdoc ruby-tool-setup ruby-test-unit

%description
RuTils is a simple russian text parser in Ruby.
It's main goal is to make development of ruby applications using russian be simple and nice.

%description -l ru_RU.UTF-8
RuTils - простой обработчик русского текста на Ruby.
Основная цель RuTils - сделать разработку русскоязычных приложений на Ruby (и Rails) максимально простой
и приятной (в идеале - столь же простой как и разработку оных на английском).

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -n %pkgname-%version
#patch -p1
%update_setup_rb

%build
%ruby_config
%ruby_build
%ruby_test_unit -Ilib:test test

%install
%ruby_install
%rdoc lib/

%files
%doc README.txt History.txt TODO.txt WHAT_HAS_CHANGED.txt
%ruby_sitelibdir/*

%files doc
%ruby_ri_sitedir/RuTils

%changelog
* Fri Oct 30 2009 Timur Batyrshin <erthad@altlinux.org> 1.0.2-alt1
- Initial build for sisyphus

